Author Topic: Ubuntu 8.10 end of life breaks installer  (Read 16648 times)

jalcando

  • Newbie
  • *
  • Posts: 6
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #15 on: November 13, 2010, 02:20:04 pm »
chrysemys, I think you have to take into account that this linuxMCE product seems to be developped by a very small community and that this product is free.
It is also open-source so you can go along with the community to help to switch to the latest version with LTS.
I say that because I understand your comment in parenthesis as a complain (I am not english mother tongue)

magner

  • Veteran
  • ***
  • Posts: 81
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #16 on: November 13, 2010, 02:55:31 pm »
Ho,

I deleted all the script in my sources file and replaced it with the deb paths below then ran dist-upgrade

deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid  main restricted universe multiverse
deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid-updates  main restricted universe multiverse
deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid-security  main restricted universe multiverse
deb http://ubuntu.k-net.ru/ubuntu/ intrepid-backports  main restricted universe multiverse

The intrepid-backports/main files were the only files to download.

With the other files i get either...

Err http://fastspeedtest.net intrepid-security/main libthai-data 0.1.9-4ubuntu0.8.10.2                                                                                             
  Could not resolve ‘fastspeedtest.net’     

or

Failed to fetch http://fastspeedtest.net/mirrors/ubuntu/pool/main/k/krb5/libkrb53_1.6.dfsg.4~beta1-3ubuntu0.4_i386.deb  Could not resolve ‘fastspeedtest.net’   

No more 404 problems...hey...

but now moved onto another problem equally as frustrating... Does anybody have any idea what I may be doing wrong.

cheers

Dan

kotchere

  • First post!
  • Posts: 1
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #17 on: November 13, 2010, 05:23:19 pm »
GREAT THANKS to dextaslab for locating a remaining Repo.

Kilo, I used the repo given by dextaslab and hashed out the links with ubuntu.com.  I also left in the repo to the linuxmce and medibuntu.  Basically the last section of the source list.

It downloaded a lot more than usual, but must say I finally got it working.

Thanks once again.

PS..I used the snapshot created on the 11th Nov.  Good luck folks.

kilo

  • Newbie
  • *
  • Posts: 6
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #18 on: November 13, 2010, 05:33:18 pm »
Yeah thats the one Im installing now on my virtual box on my mac since it has HD 1080P
Ill give my results as soon as I can so that it may help others.....

Later

Kilo

mythtified

  • Guru
  • ****
  • Posts: 176
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #19 on: November 13, 2010, 06:36:47 pm »
These threads need to be unified.  There are several that talk about the same thing.  The following is what I did for a successful install(as far as I can tell).

I downloaded an earlier snapshot.  After reading a post about how the snapshots were made I decided to use one that was created before end of life.  The snapshot I installed was 23324.  I would hazard a guess, unless you like frustration, steer away from snapshots that are less than 3.8GB.  Less than that then there are a lot of files that will need to be installed from the repositories that may not be there.  Using an earlier snapshot will also ensure the latest nvidia driver is installed.

Next, after reading another post about finding alternate repositories, I expanded on my sources.list file. 

deb file:/usr/pluto/deb-cache/ ./
deb http://old-releases.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb http://deb.linuxmce.org/ubuntu/ intrepid  beta2
deb http://debian.slimdevices.com/ stable  main
deb http://packages.medibuntu.org/ intrepid  free non-free
deb http://deb.linuxmce.org/ubuntu/ 20dev_ubuntu  main

deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid main restricted universe multiverse
deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid-updates main restricted universe multiverse
deb http://fastspeedtest.net/mirrors/ubuntu/ intrepid-security main restricted universe multiverse

deb http://ubuntu.k-net.ru/ubuntu/ intrepid-backports main restricted universe multiverse
deb http://ubuntu.k-net.ru/ubuntu/ intrepid main restricted universe multiverse
deb http://ubuntu.k-net.ru/ubuntu/ intrepid-updates main restricted universe multiverse
deb http://ubuntu.k-net.ru/ubuntu/ intrepid-security main restricted universe multiverse

This may be overkill.  I know that an apt-get update took a lot longer and a dist-upgrade sucked in a lot more files but when I installed lmce I did not see any errors.

I did not use the script on the desktop to start lmce installation.  Instead I opted to sudio su in a terminal and go to the /root/new-installer directory and run the individual script files.  pre-install-from-repo.sh, mce-install.sh, and post-install.sh in that order.  I would be curious to see if the script on the desktop would work properly now since more files are being found for the installation.

Once this completed I rebooted then configured the avwizrd and then the setup wizard. Once completed mythtv seemed to be installed properly.  The only other thing I noticed that was not right was my pvr150 was not detected and waiting for me to configure in the setup wizard.  I was able to configure it in mythsetup from the computing link.  The pvr150 worked.  I installed and tested successfully an hvr1950 usb tuner/encoder.

I hope the above helps.  Please read through carefully.  In proof reading I found several typos and I probably missed some.

Henrique.loureiro

  • First post!
  • Posts: 1
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #20 on: November 14, 2010, 01:28:19 am »
Hello friends.
Does anybody try to update the hole Kubunto to a new version? I put Kubunto to update to the last version 10.10. After the update I open a terminal windows and start the LinuxMCE install by a sudo command.
The LinuxMCE completed install and run the A/V wizard.
After the A/V wizard the LinuxMCE continuous the installation and get the initial video with the girl. The problem is that this video began to run in loop and I can't stop? (just a white backgrund and the video running in loop..)
Does someone can help?
Thanks
Henrique Loureiro

mythtified

  • Guru
  • ****
  • Posts: 176
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #21 on: November 14, 2010, 03:36:08 am »
No.  I believe that the binaries are specific to the version of kubuntu that is presently used.  Also, see follow this link to the end of the thread to see what is being done now by the developers.

http://forum.linuxmce.org/index.php?topic=10929.0
« Last Edit: November 14, 2010, 03:41:11 am by mythtified »

etNHGfU8

  • Regular Poster
  • **
  • Posts: 47
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #22 on: November 17, 2010, 12:02:43 am »
I believe that the old-releases.ubuntu.com repository is now back to a consistent state. I was able to do an apt-get update; apt-get upgrade successfully using old-releases.ubuntu.com.

Per https://bugs.launchpad.net/ubuntu/+source/apt/+bug/673446

Quote
LaMont Jones wrote 2 hours ago:    #2

This was actually an issue with the archive at old-releases.ubuntu.com, which has been fixed.
Changed in apt (Ubuntu):
assignee:    nobody → LaMont Jones (lamont)
status:    Confirmed → Invalid

bushtech

  • Veteran
  • ***
  • Posts: 98
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #23 on: November 17, 2010, 08:17:02 am »
I'm using mythtified's sources.list. Thanks mythtified.

Running sudo apt-get update I get one error:

GPG error: http://old-releases.ubuntu.com intrepid Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com

Can anybody help? Keep in mind that I'm a Linux wannabe so it could be something very simple or stupid.

Core:Asus P8H77-V, Intel core i3-3240 LGA155, Inno 3D Nvidia 240 GT (DVI+VGA+HDMI), 4Gb ram, 125Gb SSD
MD: Zotax Zbox ID41

mythtified

  • Guru
  • ****
  • Posts: 176
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #24 on: November 17, 2010, 12:19:42 pm »
I don't believe that I ran into that but the post from etNHGfu8 could indicate that the original sources list could be used now.  I have not tried it yet to be sure though.

etNHGfU8

  • Regular Poster
  • **
  • Posts: 47
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #25 on: November 17, 2010, 01:22:54 pm »
Here is my current /etc/apt/sources.list file:
Code: [Select]
deb file:/usr/pluto/deb-cache/ ./
deb http://old-releases.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ intrepid  main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ intrepid-updates  main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ intrepid-security  main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ intrepid-security  main restricted universe multiverse
deb http://deb.linuxmce.org/ubuntu/ intrepid  beta2
deb http://debian.slimdevices.com/ stable  main
deb http://packages.medibuntu.org/ intrepid  free non-free
deb http://deb.linuxmce.org/ubuntu/ 20dev_ubuntu  main

In addition to changing us.archive.ubuntu.com and security.ubuntu.com to old-releases.ubuntu.com, I chucked the lines containing archive.ubuntu.com.

Again, I was able to do an apt-get update; apt-get upgrade successfully using old-releases.ubuntu.com and there was no warnings or errors.

Code: [Select]
root@dcerouter:~# apt-get update
Ign file: ./ Release.gpg
Ign file: ./ Translation-en_US
Ign file: ./ Release
Ign file: ./ Packages
Ign http://debian.slimdevices.com stable Release.gpg
Hit http://packages.medibuntu.org intrepid Release.gpg
Ign http://packages.medibuntu.org intrepid/free Translation-en_US
Ign http://packages.medibuntu.org intrepid/non-free Translation-en_US
Hit http://old-releases.ubuntu.com intrepid Release.gpg
Ign http://old-releases.ubuntu.com intrepid/main Translation-en_US
Ign http://old-releases.ubuntu.com intrepid/restricted Translation-en_US
Ign http://deb.linuxmce.org intrepid Release.gpg
Ign http://deb.linuxmce.org intrepid/beta2 Translation-en_US
Ign http://debian.slimdevices.com stable/main Translation-en_US
Get:1 http://debian.slimdevices.com stable Release [1645B]
Ign http://old-releases.ubuntu.com intrepid/universe Translation-en_US
Ign http://old-releases.ubuntu.com intrepid/multiverse Translation-en_US
Hit http://old-releases.ubuntu.com intrepid-updates Release.gpg
Ign http://old-releases.ubuntu.com intrepid-updates/main Translation-en_US
Ign http://old-releases.ubuntu.com intrepid-updates/restricted Translation-en_US
Ign http://old-releases.ubuntu.com intrepid-updates/universe Translation-en_US
Ign http://old-releases.ubuntu.com intrepid-updates/multiverse Translation-en_US
Hit http://old-releases.ubuntu.com intrepid-security Release.gpg
Hit http://packages.medibuntu.org intrepid Release
Ign http://old-releases.ubuntu.com intrepid-security/main Translation-en_US
Ign http://old-releases.ubuntu.com intrepid-security/restricted Translation-en_US
Ign http://deb.linuxmce.org 20dev_ubuntu Release.gpg
Ign http://deb.linuxmce.org 20dev_ubuntu/main Translation-en_US
Ign http://deb.linuxmce.org intrepid Release
Ign http://debian.slimdevices.com stable/main Packages
Ign http://old-releases.ubuntu.com intrepid-security/universe Translation-en_US
Ign http://old-releases.ubuntu.com intrepid-security/multiverse Translation-en_US
Hit http://old-releases.ubuntu.com intrepid Release
Hit http://old-releases.ubuntu.com intrepid-updates Release
Hit http://packages.medibuntu.org intrepid/free Packages
Ign http://deb.linuxmce.org 20dev_ubuntu Release
Hit http://debian.slimdevices.com stable/main Packages
Hit http://old-releases.ubuntu.com intrepid-security Release
Hit http://packages.medibuntu.org intrepid/non-free Packages
Ign http://deb.linuxmce.org intrepid/beta2 Packages
Hit http://old-releases.ubuntu.com intrepid/main Packages
Hit http://old-releases.ubuntu.com intrepid/restricted Packages
Hit http://old-releases.ubuntu.com intrepid/universe Packages
Hit http://old-releases.ubuntu.com intrepid/multiverse Packages
Hit http://old-releases.ubuntu.com intrepid/main Sources
Hit http://old-releases.ubuntu.com intrepid/restricted Sources
Hit http://old-releases.ubuntu.com intrepid/universe Sources
Ign http://deb.linuxmce.org 20dev_ubuntu/main Packages
Hit http://old-releases.ubuntu.com intrepid/multiverse Sources
Hit http://old-releases.ubuntu.com intrepid-updates/main Packages
Hit http://old-releases.ubuntu.com intrepid-updates/restricted Packages
Hit http://old-releases.ubuntu.com intrepid-updates/universe Packages
Hit http://old-releases.ubuntu.com intrepid-updates/multiverse Packages
Hit http://old-releases.ubuntu.com intrepid-updates/main Sources
Hit http://old-releases.ubuntu.com intrepid-updates/restricted Sources
Hit http://old-releases.ubuntu.com intrepid-updates/universe Sources
Hit http://old-releases.ubuntu.com intrepid-updates/multiverse Sources
Hit http://old-releases.ubuntu.com intrepid-security/main Packages
Hit http://deb.linuxmce.org intrepid/beta2 Packages
Hit http://old-releases.ubuntu.com intrepid-security/restricted Packages
Hit http://old-releases.ubuntu.com intrepid-security/universe Packages
Hit http://old-releases.ubuntu.com intrepid-security/multiverse Packages
Hit http://old-releases.ubuntu.com intrepid-security/main Sources
Hit http://old-releases.ubuntu.com intrepid-security/restricted Sources
Hit http://old-releases.ubuntu.com intrepid-security/universe Sources
Hit http://old-releases.ubuntu.com intrepid-security/multiverse Sources
Hit http://deb.linuxmce.org 20dev_ubuntu/main Packages
Fetched 1B in 1s (1B/s)
Reading package lists... Done
root@dcerouter:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@dcerouter:~#

- Tom

rperre

  • Guru
  • ****
  • Posts: 264
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #26 on: November 17, 2010, 05:40:38 pm »
I can confirm that the old-releases only will work now.

Richard

mythtified

  • Guru
  • ****
  • Posts: 176
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #27 on: November 18, 2010, 02:00:52 pm »
I can also confirm that.  The only thing out of the ordinary I am seeing now is my Hauppauge pvr 150 is not being configured during initial setup.  I have to go through Mythtv setup in the UI to do this.  This is not a big deal to me though.

Capri82

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #28 on: November 21, 2010, 12:01:58 pm »
I've followed Mythtified's guide to a T and still not working ;(

same snapshot, sources.list file, apt-get update then apt-get dist-upgrade.

root@LinuxMediaCentre:~/new-installer# sh mce-install.sh
21 Nov 18:56:42 ntpdate[6065]: adjust time server 91.189.94.4 offset -0.002508 sec
./mce-install-common.sh: 8: function: not found
An error (Exit code 127) occured during the last action

root@LinuxMediaCentre:~/new-installer#


Capri82

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Ubuntu 8.10 end of life breaks installer
« Reply #29 on: November 21, 2010, 12:33:12 pm »
I'm trying the desktop installer now